Loading...
Searching...
No Matches
BALL::VIEW::TwoColoredLine Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/twoColoredLine.h>`

Inheritance diagram for BALL::VIEW::TwoColoredLine:

## Public Member Functions

Constructors
| TwoColoredLine ()
| TwoColoredLine (const TwoColoredLine &two_colored_line)
Destructors
virtual | ~TwoColoredLine ()
virtual void | clear ()
Assignment methods
void | set (const TwoColoredLine &two_colored_line)
const TwoColoredLine & | operator= (const TwoColoredLine &two_colored_line)
void | swap (TwoColoredLine &two_colored_line)
Accessors: inspectors and mutators
Vector3 | getMiddleVertex () const
debuggers and diagnostics
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | getVertices (vector< Vector3 > &vertices) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const
Public Member Functions inherited from BALL::VIEW::ColorExtension2
| ColorExtension2 ()
| ColorExtension2 (const ColorExtension2 &color_extension)
virtual | ~ColorExtension2 ()
void | set (const ColorExtension2 &color_extension)
const ColorExtension2 & | operator= (const ColorExtension2 &color_extension)
void | swap (ColorExtension2 &color_extension)
void | setColor2 (const ColorRGBA &color)
ColorRGBA & | getColor2 ()
const ColorRGBA & | getColor2 () const
void | getColor2 (ColorRGBA &color) const
Public Member Functions inherited from BALL::VIEW::Vertex2
| Vertex2 ()
| Vertex2 (const Vertex2 &vertex)
virtual | ~Vertex2 ()
void | set (const Vertex2 &vertex)
const Vertex2 & | operator= (const Vertex2 &vertex)
void | swap (Vertex2 &vertex)
void | setVertex1 (const Vector3 &v)
void | setVertex1 (const float x, const float y, const float z)
Vector3 & | getVertex1 ()
const Vector3 & | getVertex1 () const
void | getVertex1 (Vector3 &v) const
void | getVertex1 (float &x, float &y, float &z) const
void | setVertex1Address (const Vector3 &v)
void | setDefaultVertex1Address ()
Vector3 * | getVertex1Address () const
void | setVertex2 (const Vector3 &v)
void | setVertex2 (const float x, const float y, const float z)
Vector3 & | getVertex2 ()
const Vector3 & | getVertex2 () const
void | getVertex2 (Vector3 &v) const
void | getVertex2 (float &x, float &y, float &z) const
void | setVertex2Address (const Vector3 &v)
void | setDefaultVertex2Address ()
Vector3 * | getVertex2Address () const
void | setVertices (const Vector3 &vertex1, const Vector3 &vertex2)
void | setVertices (const float vertex1_x, const float vertex1_y, const float vertex1_z, const float vertex2_x, const float vertex2_y, const float vertex2_z)
void | setVertexAddresses (const Vector3 &vertex1, const Vector3 &vertex2)
void | getVertices (Vector3 &vertex1, Vector3 &vertex2)
void | getVertices (float &vertex1_x, float &vertex1_y, float &vertex1_z, float &vertex2_x, float &vertex2_y, float &vertex2_z)
void | setDefaultVertexAddresses ()
bool | isDefaultVertex1Address () const
bool | isDefaultVertex2Address () const
bool | isDefaultVertexAddresses () const

## Detailed Description

TwoColoredLine class. An instance of TwoColoredLine represents an instance of the geometric representation of a two colored "line". A twoColoredLine has the following properties.

- color1 - the color for the first vertex of the line
- color2 - the color for the second vertex of the line
- vertex1 - the first vertex of the line
- vertex2 - the second vertex of the line
    The class TwoColoredLine is a line that is half colored in the color 1 and in color 2. The line is exactly divided in the middle. One half (starting from vertex1 til middle vertex) is colored by the color1 and the other half (starting from middle vertex to vertex2) is colored by color2. The class TwoColoredLine is derived from the classes GeometricObject, ColorExtension2 and Vertex2. See these classes for further information concerning interface and additional methods.

Definition at line 45 of file twoColoredLine.h.

## Constructor & Destructor Documentation

## TwoColoredLine() [1/2]

BALL::VIEW::TwoColoredLine::TwoColoredLine | ( |  | ) |

Default Constructor. Construct new twoColoredLine. The properties of this twoColoredLine are set to:

- color1 - set to the color black
- color2 - set to the color black
- vertex1 - set to the vector (0,0,0)
- vertex2 - set to the vector (0,0,0)
  Returns
    TwoColoredLine new constructed twoColoredLine
  See also
    GeometricObject
    ColorExtension2
    Vertex2

## TwoColoredLine() [2/2]

BALL::VIEW::TwoColoredLine::TwoColoredLine | ( | const TwoColoredLine & | two_colored_line | ) |

Copy constructor with cloning facility.

See also
  GeometricObject
  ColorExtension2
  Vertex2

## ~TwoColoredLine()

virtual BALL::VIEW::TwoColoredLine::~TwoColoredLine | ( |  | ) |

virtual

Destructor. Default destruction of this twoColoredLine.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::TwoColoredLine::clear | ( |  | ) |

virtual

Explicit default initialization. Calls GeometricObject::clear. Calls ColorExtension2::clear. Calls Vertex2::clear.

See also
  GeometricObject::clear
  ColorExtension2::clear
  Vertex2::clear

Reimplemented from BALL::VIEW::GeometricObject.

## dump()

virtual void BALL::VIEW::TwoColoredLine::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this twoColoredLine to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls ColorExtension2::dump. Calls Vertex2::dump.

Parameters

  s | output stream where to output the value of this twoColoredLine
  depth | the dumping depth

See also
  GeometricObject::dump
  ColorExtension2::dump
  Vertex2::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getMiddleVertex()

Vector3 BALL::VIEW::TwoColoredLine::getMiddleVertex | ( |  | ) | const

Inspection of the middle vector. Access the geometric middle vertex between vertex1 and vertex2 of this twoColoredLine.

Returns
  . Vector3 the middle vertex between vertex1 and vertex 2.

See also
  Vector3

## getVertices()

virtual void BALL::VIEW::TwoColoredLine::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isValid()

virtual bool BALL::VIEW::TwoColoredLine::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation. Initiate self-validation of the internal state and data structure consistencies of this twoColoredLine. If the internal state of this twoColoredLine is correct (self-validated) and consistent true is returned, false otherwise. Calls {GeometricObject::isValid}.

Returns
  bool true if the internal state of this twoColoredLine is correct

See also
  GeometricObject::isValid

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const TwoColoredLine & BALL::VIEW::TwoColoredLine::operator= | ( | const TwoColoredLine & | two_colored_line | ) |

Assignment operator. Calls set.

## set()

void BALL::VIEW::TwoColoredLine::set | ( | const TwoColoredLine & | two_colored_line | ) |

Assignment. Calls GeometricObject::set. Calls ColorExtension2::set. Calls Vertex2::set.

See also
  GeometricObject::set
  ColorExtension2::set
  Vertex2::set

## swap()

void BALL::VIEW::TwoColoredLine::swap | ( | TwoColoredLine & | two_colored_line | ) |

Swapping of two_colored_line's.